Bug 817602 - Review Request: luola-nostalgia - Nostalgia level pack for luola
Review Request: luola-nostalgia - Nostalgia level pack for luola
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
http://www.luolamies.org/software/luola
:
Depends On: 817597
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2012-04-30 11:33 EDT by inactive
Modified: 2015-08-21 05:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-21 05:43:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
updated spec file (1004 bytes, application/octet-stream)
2012-05-02 14:08 EDT, Dan Mashal
no flags Details
rpmbuild output (3.29 KB, text/plain)
2012-05-02 14:11 EDT, Dan Mashal
no flags Details

  None (edit)
Description inactive 2012-04-30 11:33:49 EDT
Spec URL: http://jor.netne.net/files/luola-nostalgia.spec
SRPM URL: http://jor.netne.net/files/luola-nostalgia-1.2-1.fc16.src.rpm
Description: Luola is a 2D arcade game where you fly a small V shaped ship in different kinds of levels. This packages contains the four "nostalgia" levels Twilight Zone, Citadel of Yoqu, Twin Cities and Duh Caves
Comment 1 Dan Mashal 2012-05-02 14:08:51 EDT
Created attachment 581683 [details]
updated spec file
Comment 2 Dan Mashal 2012-05-02 14:10:20 EDT
I updated your spec file. Please check it.

[vicodan@Fedora17 SPECS]$ rpmlint luola-nostalgia.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

Also I have attached my output of rpmbuild.
Comment 3 Dan Mashal 2012-05-02 14:11:06 EDT
Created attachment 581684 [details]
rpmbuild output
Comment 4 Dan Mashal 2012-05-02 14:12:44 EDT
Again, I ask why you can't compile these all in to one package?
Comment 5 Rex Dieter 2012-05-02 14:42:48 EDT
Fwiw, compiling multiple upstream projects/tarballs into a single package is generally discouraged.  upstreams generally release items separately *on purpose*, so to do otherwise you need some really good reasons to do so.
Comment 6 inactive 2012-05-02 17:10:08 EDT
Dan, you removed the:
PreReq:		luola
Provides:	luola-level
in your updated spec, why?

the level package requires the game, already because it owns the /usr/share/luola/levels/ directory and the virtual package luola-level is there to make sure a levelset is installed with the game (without levels in /usr/share/luola/levels/, the game won't start)
Comment 7 Miroslav Suchý 2015-08-21 05:43:21 EDT
No response in bug 817597. Closing. Feel free to reopen if you want to continue.

Note You need to log in before you can comment on or make changes to this bug.